<?php
	require_once('util/util.http.class.php');

	$url = HttpUtil::getBaseURLApi()."/user/auth";
	$payload = [
		'login'=> 'sysadmin.unitconsult', 
		'password' => '@mudar#123!'
	];
	$req = HttpUtil::doPostRequest($url, $payload);
	$uc_api_user = json_decode($req['response']);
	$uc_api_user->access_token = str_replace("b'", "", $uc_api_user->access_token);
	$uc_api_user->access_token = str_replace("'", "", $uc_api_user->access_token);

	$report_params = $_GET;

	$request_url = HttpUtil::getBaseURLApi();
	$request_url .= '/order/'. $report_params['order_id'];
	$request_url .= '/service/'. $report_params['service_id'];
	$request_url .= '/records';

	$headers = ["Authorization: Bearer {$uc_api_user->access_token}"];

	$response = json_decode(HttpUtil::doGetRequest($request_url, null, $headers)['response']);

	if ($_GET['echo'] && $_GET['echo'] === 'true') {
		header('Content-Type: application/json');
		echo json_encode($response);
		die;
	}

	function getPersonDocumentNumber($person) {
		$document = $person->cpf_cnpj;

		switch($person->person_type) {
			case 'PF':
				$document = preg_replace("/(\d{3})(\d{3})(\d{3})(\d{2})/", "$1.$2.$3-$4", $document);
				break;
			case 'PJ':
				$document = preg_replace("/(\d{2})(\d{3})(\d{3})(\d{4})(\d{2})/", "$1.$2.$3/$4-$5", $document);
				break;
		}

		return $document;
	}

	function getStatusLabel($status) {
		switch($status) {
			case "active":
				return 'Ativa';
			case "suspended":
				return 'Suspensa';
			case "inapt":
				return 'Inapta';
			case "canceled":
				return 'Cancelada';
			case "nulled":
				return 'Nula';
			default:
				return 'N/D';
		}
	}
?>

<link rel="stylesheet" type="text/css" href="assets/default-style.css">

<style type="text/css">
	.container {
		padding-top: 5px;
	}

	.now-text {
		margin-bottom: 20px;
	}

	.text-bold {
		font-weight: bold;
	}

	.table {
		font-family: 'Arial';
		font-size: 90%;
	}

	.table {
		border-collapse: collapse !important;
	}
	.table td,
	.table th {
		background-color: #fff !important;
		padding: 5px;
		vertical-align: top;
	}

	.table .thead-dark th {
		color: inherit;
		border-color: #EFEFEF;
	}

	.table {
		background-color: #fff;
	}

	.table-bordered th,
	.table-bordered td {
		border: 1px solid #EFEFEF !important;
	}

	.table-bordered {
		border: 0.5 solid #EFEFEF;
	}
	.table-bordered th,
	.table-bordered td {
		border: 0.5 solid #EFEFEF;
	}
	.table-bordered thead th,
	.table-bordered thead td {
		border-bottom-width: 1;
	}

	small.title {
		color: #757474;
	}
</style>

<htmlpageheader name="MyHeader1">
	<div class="header">
		DOCUMENTO CONFIDENCIAL
	</div>
</htmlpageheader>

<htmlpagefooter name="MyFooter1">
	<div class="footer">
		DOCUMENTO CONFIDENCIAL
	</div>
</htmlpagefooter>

<sethtmlpageheader name="MyHeader1" value="on" show-this-page="1" />
<sethtmlpagefooter name="MyFooter1" value="on" />

<div class="container">
    <p class="now-text"><?=(strftime('São Paulo, %d de %B de %Y', strtotime('today')));?>.</p>

    <div class="content">
		<?php
			foreach ($response as $kr => $record) {
		?>
		<small class="title">Dados da Empresa</small>
		<table class="table table-bordered" width="100%" style="margin-top: 10px;">
			<tbody>
				<tr>
					<td rowspan="2">
						<small>CNPJ</small>
						<br>
						<span class="text-bold">
							<?=(getPersonDocumentNumber($record->company))?>
						</span>
					</td>
					<td>
						<small>Nome Fantasia</small>
						<br>
						<span class="text-bold">
							<?=($record->company->fantasy_name)?>
						</span>
					</td>
				</tr>
				<tr>
					<td>
						<small>Razão Social</small>
						<br>
						<span class="text-bold">
							<?=($record->company->company_name)?>
						</span>
					</td>
				</tr>
			</tbody>
		</table>

		<table class="table table-bordered" width="100%" style="margin-top: 10px;">
			<tbody>
				<tr>
					<td width="200">
						<small>Situação</small>
						<br>
						<span class="text-bold">
							<?=(getStatusLabel($record->company->situation))?>
						</span>
					</td>

					<td width="200">
						<small>Data de Abertura</small>
						<br>
						<span class="text-bold">
							<?=($record->company->opening_date)?>
						</span>
					</td>

					<td width="200">
						<small>Capital Social</small>
						<br>
						<span class="text-bold">
							R$ <?=number_format($record->company->billing_total, 2, ',', '.')?>
						</span>
					</td>
				</tr>
		</table>
		
		<br>
		
		<small class="title">Restrições</small>
		<table class="table table-bordered" width="100%" style="margin-top: 10px;">
			<tbody>
				<tr>
					<td class="text-bold" width="170">Restrições Financeiras:</td>
					<td>
						<?php
							if ($record->finance_able) {
						?>
						R$ <?=number_format($record->finance_total_amount, 2, ',', '.')?>
						<?php
							}
							else {
								echo 'Nada Consta';
							}
						?>
					</td>
				</tr>
				
				<tr>
					<td class="text-bold" width="170">Outras Restrições:</td>
					<td>Nada Consta</td>
				</tr>
			</tbody>
		</table>

		<br>
		
		<small class="title">Sócios</small>
		<?php
			foreach ($record->persons as $kp => $p) {
		?>
		<table class="table table-bordered" width="100%" style="margin-top: 10px; margin-bottom: 5px;">
			<tbody>
				<tr>
					<td width="200">
						<small>
							<?=($p->person->person_type === 'PF' ? 'CPF' : 'CNPJ')?>
						</small>
						<br>
						<span class="text-bold">
							<?=($p->person->cpf_cnpj)?>
						</span>
					</td>

					<td width="200">
						<small>
							<?=($p->person->person_type === 'PF' ? 'Nome' : 'Razão Social')?>
						</small>
						<br>
						<span class="text-bold">
							<?=($p->person->person_type === 'PF' ? $p->person->name : $p->person->company_name)?>
						</span>
					</td>

					<td width="200">
						<small>
							Cotas
						</small>
						<br>
						<span class="text-bold">
							<?=(number_format(($p->percentage_quotas * 100), 2, ',', '.'))?> %
						</span>
					</td>
				</tr>
				<tr>
					<td style="border-bottom: <?=(($kp+1) < count($record->persons) ? 2 : 0)?>px solid #C5C5C5;">
						<small>
							Restrições Financeiras
						</small>
						<br>
						<span class="text-bold">
							<?=((!$p->finance_able) ? 'Nada Consta' : 'R$ ' . number_format($p->finance_total_amount, 2, ',', '.'))?>
						</span>
					</td>

					<td style="border-bottom: <?=(($kp+1) < count($record->persons) ? 2 : 0)?>px solid #C5C5C5;">
						<small>
							Restrições Criminais
						</small>
						<br>
						<span class="text-bold">
							<?=((!$p->criminal_able) ? 'Nada Consta' : $p->criminal_value)?>
						</span>
					</td>

					<td style="border-bottom: <?=(($kp+1) < count($record->persons) ? 2 : 0)?>px solid #C5C5C5;">
						<small>
							Boletins de Ocorrência
						</small>
						<br>
						<span class="text-bold">
							<?=((!$p->accident_report_able) ? 'Nada Consta' : $p->accident_report_value)?>
						</span>
					</td>
				</tr>
			</tbody>
		</table>

		<?php
				if($p->vehicles && count($p->vehicles) > 0) {
		?>
		<small class="title">Veículos do Sócio <?=($p->person->person_type === 'PF' ? $p->person->name : $p->person->company_name)?></small>
		<table class="table table-bordered" width="100%">
			<thead>
				<tr>
					<th width="90" align="left">Marca</th>
					<th align="left">Modelo</th>
					<th width="60">Ano</th>
					<th width="80">Placa</th>
					<th width="100">Cor</th>
					<th width="120" align="right">Valor</th>
				</tr>
			</thead>
			<tbody>
		<?php
					foreach ($p->vehicles as $xvh => $vh) {
		?>
				<tr>
					<td align="left">
						<?=($vh->brand->name)?>
					</td>
					<td align="left">
						<?=($vh->model->name)?>
					</td>
					<td align="center">
						<?=(explode('-', $vh->version->id)[0])?>
					</td>
					<td align="center">
						<?=($vh->plate_number)?>
					</td>
					<td align="center">
						<?=($vh->color_name)?>
					</td>
					<td align="right">
						<?=($vh->information->preco)?>
					</td>
				</tr>
		<?php
					}
		?>
			</tbody>
		</table>
	<?php
				}
				if ($kp < count($record->persons) - 1) {
	?>
		<hr style="margin-bottom: 0px;">
	<?php
				}
			}
		}
	?>

		<br>

		<?php
			if($record->vehicles && count($record->vehicles) > 0) {
		?>
		<small class="title">Veículos da Empresa</small>
		<table class="table table-bordered" width="100%" style="margin-top: 10px;">
			<thead>
				<tr>
					<th width="90" align="left">Marca</th>
					<th align="left">Modelo</th>
					<th width="60">Ano</th>
					<th width="80">Placa</th>
					<th width="100">Cor</th>
					<th width="120" align="right">Valor</th>
				</tr>
			</thead>
			<tbody>
		<?php
				foreach ($record->vehicles as $xvh => $vh) {
		?>
				<tr>
					<td align="left">
						<?=($vh->brand->name)?>
					</td>
					<td align="left">
						<?=($vh->model->name)?>
					</td>
					<td align="center">
						<?=(explode('-', $vh->version->id)[0])?>
					</td>
					<td align="center">
						<?=($vh->plate_number)?>
					</td>
					<td align="center">
						<?=($vh->color_name)?>
					</td>
					<td align="right">
						<?=($vh->information->preco)?>
					</td>
				</tr>
		<?php
				}
		?>
			</tbody>
		</table>
		<?php
			}
		?>
    </div>
</div>

<?php
// die;
?>