<?php

	require_once('util/util.http.class.php');
	require_once('util/util.php');

    $url = HttpUtil::getBaseURLApi()."/user/auth";
    $payload = [
        'login' => 'sysadmin.unitconsult', 
        'password' => '@mudar#123!'
    ];
    $req = HttpUtil::doPostRequest($url, $payload);
    $uc_api_user = json_decode($req['response']);
    $uc_api_user->access_token = str_replace("b'", "", $uc_api_user->access_token);
    $uc_api_user->access_token = str_replace("'", "", $uc_api_user->access_token);
	
    $base_url = HttpUtil::getBaseURLApi();
	$request_url = "{$base_url}/order/{$_GET['order_id']}/service/{$_GET['service_id']}/company/{$_GET['company_id']}/records";
    
	$headers = ["Authorization: Bearer {$uc_api_user->access_token}"];

    $response = json_decode(HttpUtil::doGetRequest($request_url, null, $headers)['response']);
    $response = $response[0];
	
	if ($_GET['echo']) {
		header('Content-Type: application/json');
		echo json_encode($response);
		die;
	}

	// Company

	function companyPartners($partners){
		if (is_array($partners)){
			$temp = ' ';
			foreach ($partners as $key => $value){
				$separador = ', ';
				if ($key == (count($partners) -2)){
					$separador = ' e ';
				}else if($key == (count($partners) - 1)){
					$separador = '';
				}
				$temp = $temp.partnerText($value).$separador;
			}
			return $temp.'.';
		}
		else 
			return partnerText($partners);

	}

	function partnerText($partner){
		return ($partner->person->person_type == 'PF' ? $partner->person->name : $partner->person->company_name) . ' ('.genderValidation($partner->person, 'Sócio').' com ' . Util::numberFormat($partner->percentage_quotas * 100) . '% das cotas)';
	}

	function companySituation($situation){
		$situ = ' ';
		switch ($situation) {
			case 'active':
				$situ = "ATIVA";
				break;
			case 'suspended':
				$situ = "SUSPENSA";
				break;
			case 'inapt':
				$situ = "INAPTA";
				break;
			case 'canceled':
				$situ = "CANCELADA";
				break;
			case 'nulled':
				$situ = "NULA";
				break;
		}
		return $situ;
	}

	function echoPointOrSemicolon($index, $array) {
		if  ($index != count($array) - 1) {
			echo ';';
		}else {
			echo '.';
		}
	}

	$printImage = function ($archive) use ($base_url){
		// var_dump($archive->path);
		// echo $base_url .'/'. $path;
		if ($archive->extension != "pdf") {
			echo ', conforme exposto abaixo.';
			?>
			<div align="center">
				<?php
					if (getimagesize($base_url .'/'. $archive->path)) {
				?>
					<img class="person-photo" src="<?=($base_url .'/'. $archive->path)?>"/>
				<?php 
					} else {
						echo " IMAGEM NÃO ENCONTRADA!";
					}
				?>
			</div>
			<?php
		}
		else {
			echo ', conforme exposto no final do arquivo.';
		}
	};

	$path_pdfs = [];
	foreach ($response as $key => $value) {
		if (strpos($key,"path") != false && $value->extension == "pdf")
			array_push($path_pdfs, $base_url .'/'. $value->path);
	}

	if(isset($path_pdfs) && count($path_pdfs) > 0) {
		// $pdfs_folder = rand();
		$files_path = "tmp/{$_GET['order_id']}";
		// Tento fazer o download das path_pdfs p/ uma pasta temporária...
		foreach ($path_pdfs as $key => $path_pdf) {
			Util::downloadFile($path_pdf, $files_path);
		}
	}

	function genderValidation($person, $str=null) {
		if (!empty($str)) {
			if ($person->gender == 'female')
				$str[strlen($str)-1] = 'a';
			return $str;
		}
		return $person->gender == 'female';
	}

	function titleWithIndex($count, $index, $title) {
		?>
			<p><strong><?=($count > 1) ? $title.' '.($index + 1) : $title?>:</strong>
		<?php
	}

?>

<link rel="stylesheet" type="text/css" href="assets/default-style.css">
<style type="text/css">
	.text-danger {
		color: red;
	}

	.content {
		text-align: justify;
		line-height: 1.5;
	}

	p.text-initial {
		padding-left: 40px;
	}

	ol li {
		margin-bottom: 10px;
	}

	img.person-photo {
		border: 2px solid #CCCCCC;
		min-height: 250px;
		max-height: 500px;
	}

	img.attachments-photo {
		width: 100%; 
		/* padding: 1%; */
	}

	table.table-attachments{
		border: 2px solid #CCCCCC;
	}

	td.attachments{
		border: 2px solid #CCCCCC;
	}

</style>
<htmlpageheader name="MyHeader1">
	<div class="header">
		DOCUMENTO CONFIDENCIAL
	</div>
</htmlpageheader>

<htmlpagefooter name="MyFooter1">
	<div class="footer">
		DOCUMENTO CONFIDENCIAL
	</div>
</htmlpagefooter>

<sethtmlpageheader name="MyHeader1" value="on" show-this-page="1" />
<sethtmlpagefooter name="MyFooter1" value="on" />
<div class="container">
	<p class="now-text"><?=(strftime('São Paulo, %d de %B de %Y', strtotime('today')));?>.</p>

	<h3>Caráter Restrito</h3>
	<h3>Assunto: <?=$response->company->company_name?>.</h3>

	<div class="content">
		<p class="text-initial">Descrevemos abaixo as apurações em torno da empresa <strong><?=$response->company->company_name?></strong>, abrangendo consultas perante órgãos fiscalizadores, pendências financeiras, processos cível, trabalhista e fiscal, análise da estrutura societária, diligências e obtenção de certidões em geral, entre outras.</p>
		<ol>
			<li>
				Dando início nas apurações, verificamos que a empresa <strong><?=$response->company->company_name?></strong>, estabelecida na <?=Util::address($response->company->adresses[0])?>. Tem o quadro societário composto por <b><?=companyPartners($response->persons)?></b>
			</li>

			<li  id="2">
				A empresa <strong><?=$response->company->company_name?></strong>, inscrita sob o CNPJ: <?=(Util::mask('##.###.###/####-##', $response->company->cpf_cnpj))?>, informou junto a Associação Comercial do Estado de <?=(strtoupper($response->company->adresses[0]->state))?> que possui um capital social de R$ <?=Util::numberFormat($response->billing_total)?>,
				<?php 
					if(!empty($response->finance_total_amount)){
						echo 'e identificamos que  possui restrições financeiras que perfazem o valor aproximado de  ';
				?>
						<span class="text-danger"><?='R$ '.Util::numberFormat($response->finance_total_amount)?></span>
						<?php
						$printImage($response->finance_attachment_path);
					}
					else{
						echo 'e identificamos que não possui restrições financeiras.';
					}
				?>
			</li>
			
			<li  id="3">
				Com as apurações obtidas sobre a empresa <strong><?=$response->company->company_name?></strong>, verificamos que ela atua no segmento de <?=$response->company->branch_activity?>.
			</li>

			<li id="4">
				Segue abaixo o status da empresa <strong><?=$response->company->company_name?></strong> pertinentes as Certidões Negativas dos mais diversos registros:
				<ul style="margin-top: 15px;">

					<li>
						Ações Cíveis, Família e Sucessões, Execuções Fiscais e Juizados Especiais Cíveis - Período: Últimos 10 anos - Status:
						<span style="color: <?=(($response->quantity_civil_lawsuit_in_review) ? 'red' : 'black')?>">
							<?php
								if(isset($response->quantity_civil_lawsuit) && (int)$response->quantity_civil_lawsuit > 0){
									echo 'Possui '.$response->quantity_civil_lawsuit.' processos (vide anexos).';
								}
								else if($response->quantity_civil_lawsuit_in_review){
									echo 'Em Análise.';
								}
								else{
									echo 'Nada Consta.';
								}
							?>
						</span>
					</li>
					<li>
						Pedidos de Falência, Concordatas, Recuperações Judiciais e Extrajudiciais - Período: Ultimos 10 anos - Status:
						<span style="color: <?=(($response->quantity_request_bankruptcy_in_review) ? 'red' : 'black')?>">
							<?php
								if(isset($response->quantity_request_bankruptcy) && (int)$response->quantity_request_bankruptcy > 0){
									echo 'Possui '.$response->quantity_request_bankruptcy.' processos (vide anexos).';
								}
								else if($response->quantity_request_bankruptcy_in_review){
									echo 'Em Análise.';
								}
								else{
									echo 'Nada Consta.';
								}
							?>
						</span>
					</li>
					<li>
						Ações e Execuções Cíveis, Fiscais, Criminais e dos Juizados Especiais Federais Criminais e Adjuntos (Empresa) - Período: Últimos 10 anos - Status:
						<span style="color: <?=(($response->quantity_criminal_proceedings_in_review) ? 'red' : 'black')?>">
							<?php
								if(isset($response->quantity_criminal_proceedings) && (int)$response->quantity_criminal_proceedings > 0){
									echo 'Possui '.$response->quantity_criminal_proceedings.' processos (vide anexos).';
								}
								else if($response->quantity_criminal_proceedings_in_review){
									echo 'Em Análise.';
								}
								else{
									echo 'Nada Consta.';
								}
							?>
						</span>
					</li>
					<li>
						Certidão de Ações Trabalhistas - Período: Últimos 10 anos - Status:
						<span style="color: <?=(($response->quantity_labor_actions_in_review) ? 'red' : 'black')?>">
							<?php
								if(isset($response->quantity_labor_actions) && (int)$response->quantity_labor_actions > 0){
									echo 'Possui '.$response->quantity_labor_actions.' processos (vide anexos).';
								}
								else if($response->quantity_labor_actions_in_review){
									echo 'Em Análise.';
								}
								else{
									echo 'Nada Consta.';
								}
							?>
						</span>
					</li>
					<li>
						Certidão de Ações Criminais - Período: Últimos 10 anos - Status: 
						<span style="color: <?=(($response->quantity_criminal_actions_in_review) ? 'red' : 'black')?>">
							<?php
								if(isset($response->quantity_criminal_actions) && (int)$response->quantity_criminal_actions > 0){
									echo 'Possui '.$response->quantity_criminal_actions.' processos (vide anexos).';
								}
								else if($response->quantity_criminal_actions_in_review){
									echo 'Em Análise.';
								}
								else{
									echo 'Nada Consta.';
								}
							?>
						</span>
					</li>
						<!--ok -->
					<li>Certidão de Improbidade Administrativa - Período: Últimos 10 anos - Status: <?=(isset($response->quantity_administrative_dishonesty) && (int)$response->quantity_administrative_dishonesty > 0 ) ? 'Possui '.$response->quantity_administrative_dishonesty.' processos.' : 'Nada Consta' ?></li>
				</ul>
			</li>

			<li id="5">
				A <strong><?=$response->company->company_name?></strong> 
				<?php 
					if (!$response->has_pending_cef){
						echo ' não apresenta pendências perante a Caixa Econômica Federal (FGTS), pois possui o seu CRF (Certificado de Regularidade), com validade em '. $response->cef_valid_date;
						$printImage($response->cef_attachment_path);
					}
					else {
						echo ' apresenta pendências perante a Caixa Econômica Federal (FGTS), pois não possui o seu CRF (Certificado de Regularidade).';
					}
				?>
			</li>

			<li id="6">
				A <strong><?=$response->company->company_name?></strong> 
				<?php 
					$uf = strtoupper($response->company->adresses[0]->state);
					if ($response->has_pendings_city_hall == 'has_pending'){ 													
						echo ' apresenta pendências perante a Prefeitura da Cidade de '. "{$response->company->adresses[0]->city}/{$uf}";
						$printImage($response->city_hall_attachment_path);
					}
					else if ($response->has_pendings_city_hall == 'in_review'){ 													
						echo 'pendências perante a Prefeitura da Cidade de '. "{$response->company->adresses[0]->city}/{$uf}:";
						?> 
						<span class="text-danger"> Em Análise</span>
						<?php
					}
					else {
						echo ' não apresenta pendências perante a Prefeitura da Cidade de '. "{$response->company->adresses[0]->city}/{$uf}" .'.';
					}
				?>
			</li>

			<li id="7">
				A <strong><?=$response->company->company_name?></strong> 
				<?php 
					$uf = strtoupper($response->company->adresses[0]->state);
					if ($response->has_pendings_state_hall  == 'has_pending'){
						echo ' apresenta pendências perante ao estado '. "{$uf}" .' (CADIN Estadual).';
						$printImage($response->state_hall_attachment_path);
					}
					else if ($response->has_pendings_state_hall == 'in_review'){ 													
						echo ' apresenta pendências perante ao estado '. "{$uf}" .' (CADIN Estadual):';
						?> 
						<span class="text-danger"> Em Análise</span>
						<?php
					}
					else {
						echo ' não apresenta pendências perante ao estado '. "{$uf}" .' (CADIN Estadual).';
					}
				?>
			</li>

			<li id="8">
				Realizamos busca avançada na Receita Federal e na Procuradoria Geral da Fazenda Nacional (PGFN) e INSS (Previdência Social), onde constatamos que a empresa <strong><?=$response->company->company_name?></strong>
				<?php 
					if ($response->has_rf_inss_certificate){
						echo ' possui a Certidão Conjunta (Receita e INSS)'.(($response->has_rf_inss_positive_with_negative_effect) ? ' Positiva com Efeitos Negativo' : ' Negativa de Débitos').' Relativos aos Tributos Federais e a Dívida Ativa da União, confome exposto abaixo:';
						$printImage($response->rf_inss_certificate_attachment_path);
					} 
					else {
						echo ' não possui a Certidão Conjunta (Receita e INSS) Negativa de Débitos Relativos aos Tributos Federais e a Dívida Ativa da União.';
					}
				?>
			</li>

			<li id="9">
				Através de cadastros junto aos órgãos fiscalizadores, verificamos que a empresa <strong><?=$response->company->company_name?></strong> está cadastrada na <?=Util::address($response->company->adresses[0])?>.
			</li>

			<li id="10">
				A empresa <strong><?=$response->company->company_name?></strong>
				<?php 
					if($response->has_website){
						echo ' possui endereço eletrônico registrado e outras publicações em mídia';
						?>
						<u>
							<?=$response->website_url?>
						</u>					
						<?php
						$printImage($response->website_attachment_path);
					}
					else{
						echo ' não possui endereço eletrônico registrado.';
					}
				?>
			</li>
			
			<?php
				if ($response->show_vehicle_value) {
			?>
			<li id="11">
				A empresa <strong><?=$response->company->company_name?></strong>
				<?php 
					if(isset($response->vehicles) && count($response->vehicles) > 0){
						echo ' possui '. count($response->vehicles) .' veículos em seu registro.';
				?>
				<?php
					}
					else {
						echo ' não possui veículos registrados.';
					}
				?>
			</li>
			<?php
				}
			
				if ($response->show_properties_value) {
			?>
			<li id="12">
				A empresa <strong><?=$response->company->company_name?></strong>
				<?php 
					if(isset($response->properties) && count($response->properties) > 0){
						echo ' possui '. count($response->properties) .' imovéis em seu registro.';
						if ($response->show_properties_value) {
							?>
							<ol>
							<?php
							foreach($response->properties as $keyProp => $valueProp){		
								?>										
								<li>
									<?php
									titleWithIndex(count($response->properties), $keyProp, 'Imóvel');
									echo ('número da matrícula: '.$valueProp->credential_number.', com seu valor estimado em R$ '.Util::numberFormat($valueProp->total_amount).' e está situada na '.Util::address($valueProp->address).'.'); 
									?>
								</li>
								<?php
							}
						?>
					</ol>
					<?php
						}
				?>
					
				<?php
					}
					else{
						echo ' não possui imovéis registrados.';
					}
				?>
			</li>
			<?php
				}
			?>
			<li id="13">
				Dando sequência nas apurações, seguem informações pertinentes ao quadro societário da <strong><?=$response->company->company_name?></strong> envolvendo <strong><?=companyPartners($response->persons)?></strong>
				<?php 
					foreach($response->persons as $key => $value){
						?>
						<ul>
							<li>
							<p><strong><?=companyPartners($value)?></strong> portador do 
							<?php
								if ($value->person->person_type == 'PF'){
									echo ' CPF: '.Util::mask('###.###.###-##', $value->person->cpf_cnpj).', '.genderValidation($value->person, 'filho').' de '.$value->person->mothers_name.(!empty($value->person->fathers_name) ? ' e '.$value->person->fathers_name : '').', natural de '.$value->person->birth_place.', '.genderValidation($value->person, 'nascido').' em '.$value->person->birth_date.' ('.Util::dateDifference($value->person->birth_date).' anos), profissão: '.(empty($value->person->career) ? 'empresário' : $value->person->career).'.';
								}
								else {
									echo ' CNPJ: '.Util::mask('##.###.###/####-##', $value->person->cpf_cnpj);
								}
								if($value->criminal_able){
									foreach($value->criminal_annotations as $keyCrml => $crml){
										?>
										<p><span class="text-danger">
										<?php
										echo 'Criminal '.($keyCrml + 1).' - Artigo '.$crml->criminal_article->article_number.' ('.$crml->criminal_article->article_name.')';
										?>
										</span>
										<?php
										echo ' do '.$crml->criminal_article->brazil_code_name.', registrado em '.$crml->record_date.', no '.$crml->police_department_name.', BO nº '.$crml->process_number.'.';
									}
								}
							?>
								<p> Verificamos através do 
								<?php 

									if ($value->person->person_type == 'PF'){
										echo ' CPF: '.Util::mask('###.###.###-##', $value->person->cpf_cnpj).' (Regular junto à Receita Federal), que '.(genderValidation($value->person) ? 'a Sra' : 'o Sr').'.';
										?>
										<strong><?=$value->person->name?></strong>
										<?php 
									}
									else {
										echo ' CNPJ: '.Util::mask('##.###.###/####-##', $value->person->cpf_cnpj);
									}

									if ($value->finance_able){
										echo ' possui restrições financeiras que perfazem o valor total de ';
										?>
										<span class="text-danger"><?='R$ '.Util::numberFormat($value->finance_total_amount)?></span>
										<?php
									}
									else {
										echo ' não possui restrições financeiras,';
									}
									
									if ($value->show_vehicle_value) {
										if (count($value->vehicles) >= 1){
											echo ' possui '.count($value->vehicles).( (count($value->vehicles) == 1) ? ' veículo' : ' veículos'  ).' em seu registro';
										}
										else {
											echo ' não possui nenhum véiculo em seu registro,';
										}
									}

									if (count($value->companies) >= 1){
										echo ', além de possuir participação societária em mais '.count($value->companies).( (count($value->companies) == 1) ? ' empresa,' : ' empresas,'  );
									}
									else {
										echo ' e não possui participação societária em outras empresas,';
									}

									// if (count($value->phones) >= 1){
									// 	echo ' alem de possuir telefones cadastrados';
									// }
									// else {
									// 	echo ' e não possui nenhum telefone cadastrado';
									// }

									if (($value->finance_able) || (count($value->vehicles) >= 1) ||  (count($value->companies) >= 1) || (count($value->phones) >= 1) ){
										echo ' conforme destacamos abaixo:';
									}
									else {
										echo '.';
									}

									if (count($value->companies) >= 1){
										foreach($value->companies as $keyCmps => $valueCmps){
										?>
										<p><strong><?=(count($value->companies) > 1 ) ? 'Empresa '.($keyCmps + 1) : 'Empresa'?>:</strong>
										<?php
											echo ' Figura com '.Util::numberFormat($valueCmps->percentage_quotas * 100).'% das cotas da empresa '.$valueCmps->company->company_name.' inscrita sob o CNPJ: '.Util::mask('##.###.###/####-##', $valueCmps->company->cpf_cnpj).', registrada em '.$valueCmps->company->opening_date.'.'.' Situação da empresa: '.companySituation($valueCmps->company->situation).((companySituation($valueCmps->company->situation) != 'ATIVA' ) ? '.' :', sendo seu segmento de atuação: '.$valueCmps->branch_activity.'.'.' A mesma possui um capital social de R$ '.Util::numberFormat($valueCmps->billing_total).' e está situada na '.Util::address($valueCmps->address));
											echoPointOrSemicolon($keyCmps, $value->companies);
										}
									}
									
									if (count($value->vehicles) >= 1 && $value->show_vehicle_value){
										foreach($value->vehicles as $keyVhcl => $valueVhcl){
											if (isset($valueVhcl->brand->name)){
												titleWithIndex(count($value->vehicles), $keyVhcl, 'Veículo')
										?>
										<?php
												echo $valueVhcl->brand->name.'/'.$valueVhcl->model->name.', Placa '.Util::mask('###-####',$valueVhcl->plate_number).', Ano/Modelo '.$valueVhcl->information->ano_modelo.', Cor '.$valueVhcl->color_name.', avaliado em aproximadamente em '.$valueVhcl->information->preco.' a situação do veículo se encontra como:';

												switch ($valueVhcl->status) {
													case 'theft_complaint':
														echo ' Queixa de Roubo';
														break;
													case 'fiduciary_alienation':
														echo ' Alienação Fiduciária';
														break;
													case 'administrative_restriction':
														echo ' Restrição Administrativa';
														break;
													case 'has_debits_detran':
														echo ' Possui Débitos DETRAN no valor de R$ '.Util::numberFormat($valueVhcl->total_debits);
														break;
													default:
														echo ' Sem Restrições';
														break;
												}
												echoPointOrSemicolon($keyVhcl, $value->vehicles);
											}
										}
									}

									if (count($value->phones) >= 1){
										?>
										<!-- <p><strong>Telefones Cadastrados:</strong> -->
										<?php
										foreach($value->phones as $keyPhones => $valuePhones){
											echo '('.$valuePhones->ddd.') '.( (strlen($valuePhones->number) == 8) ? Util::mask('####-####', $valuePhones->number) : Util::mask('#####-####', $valuePhones->number)).(((count($value->phones) - 1) == $keyPhones) ? '.' : ', ' );
										}
									}									

								?>
							</li>
						</ul>	
						<?php
					}
				?>
			</li>
			
			<?php 
			if (count($response->attachments) >= 1){
				echo 'Anexos relacionado a ';
			?>
				<li> 
					<strong><?=$response->company->company_name?></strong>:
					<table width='100%' class='table-attachments'>
					<?php
					foreach ($response->attachments as $keyAtt => $valueAtt){
						if ($keyAtt % 3 == 0 ){
							?>
							<tr>
							<?php
						}
						?>
						<td width='33%' class='attachments'>
							<img class="attachments-photo" src="<?=($base_url .'/'. $valueAtt->path)?>">
						</td>
						<?php
					}
					foreach ($response->attachments as $keyAtt => $valueAtt){
						if ($keyAtt % 3 == 0 ){
							?>
							</tr>
							<?php
						}
					}
					?>
					</table>
				</li>
			<?php
				}
			?>
			
			<?php
				if (isset($response->final_considerations) && !empty($response->final_considerations)) {
			?>
			<li>
				Considerações Finais
				<p><?=($response->final_considerations)?></p>
			</li>
			<?php
				}
			?>

			<li id="14">
			<?php 
				if (count($response->proceedings) >= 1){
					echo 'Dilgências relacionado a ';
					?>
					<strong><?=$response->company->company_name?></strong>:
					<table width='100%' class='table-attachments'>
					<?php
					foreach ($response->proceedings as $keyPrcds => $valuePrcds){
						if ($keyPrcds % 3 == 0 ){
							?>
							<tr>
							<?php
						}
						?>
						<td width='33%' class='attachments'>
							<img class="attachments-photo" src="<?=($valuePrcds->attachment->path)?>">
						</td>
						<?php
					}
					foreach ($response->attachments as $keyAtt => $valueAtt){
						if ($keyAtt % 3 == 0 ){
							?>
							</tr>
							<?php
						}
					}
					?>
					</table>
					<?php
				}
			?>
			</li>
		</ol>
	</div>
</div>