<?php

    require_once('util/util.http.class.php');
    require_once('util/util.php');

    $url = HttpUtil::getBaseURLApi()."/user/auth";
    $payload = [
        'login'=> 'sysadmin.unitconsult', 
        'password' => '@mudar#123!'
    ];
    $req = HttpUtil::doPostRequest($url, $payload);
    $uc_api_user = json_decode($req['response']);
    $uc_api_user->access_token = str_replace("b'", "", $uc_api_user->access_token);
    $uc_api_user->access_token = str_replace("'", "", $uc_api_user->access_token);
	
    $base_url = HttpUtil::getBaseURLApi();
	$request_url = "{$base_url}/order/{$_GET['order_id']}/service/{$_GET['service_id']}/company/{$_GET['company_id']}/records";

	$headers = ["Authorization: Bearer {$uc_api_user->access_token}"];

    $response = json_decode(HttpUtil::doGetRequest($request_url, null, $headers)['response']);
    $response = $response[0];

    // header('Content-Type: application/json');
    // echo json_encode($response);
    // die;

    setlocale(LC_TIME, 'pt_BR', 'pt_BR.utf-8', 'pt_BR.utf-8', 'portuguese');
    date_default_timezone_set('America/Sao_Paulo');

    function verifyExist ($value){
        if (isset($value) && !empty($value)){
            // if (isset($value->is_located) && $value->is_located === true)
                return $value;
            // else
            //     return 'Não Localizado(a).';
        }
        else {
            return 'Não consta.';
        }
    }

    function verifyIsLocated($value){
        if (isset($value->is_located) && $value->is_located === true){
            return $value->person->name;
        }
        else{
            return $value->person->name.': Não Localizado(a)';
        }

    }

    function calculateDate($value){
        return (verifyExist($value) == $value) ? $value.' ('.Util::dateDifference(($value)).' anos)' : verifyExist($value);
    }

    function criminalAble($value){
        return ($value) ? 'Possui anotações criminais' : 'Não possui anotações criminais';
    }

    function financeAble($value){
        return ($value) ? 'Possui restrições financeiras.' : 'Não possui restrições financeiras.';
    }

    function plural($value, $text, $text2){
        if(count($value) == 1){ 
            echo "Possui ".count($value)." ".$text.", conforme exposto abaixo:";
        } 
        elseif(count($value) > 1) { 
            echo "Possui ".count($value)." ".$text2.", conforme exposto abaixo:";
        }
        elseif(empty($value)){
            echo "Não consta.";
        }
    }

    function showVehicles($array){
        ?>
        <b>Veículos: </b> 
        <?php
        if ($array[0]->type) {
            plural($array, 'veículo', 'veículos');
            if (count($array) >= 1){
                ?>
                <ol type=I>
                <?php
                    foreach($array as $vehicle){
                        ?>
                        <li class="padding-left">
                            <b>Veículo</b> <?=($vehicle->brand->name)?> <?=($vehicle->version->name)?>, placa <?=($vehicle->plate_number)?>, ano <?=($vehicle->information->ano_modelo)?>, modelo <?=($vehicle->model->name)?>, cor <?=($vehicle->color_name)?>, avaliado aproximadamente em <?=($vehicle->information->preco)?>
                            <?=(($vehicle->has_debits) ? 'possui débito junto ao DETRAN no valor de R$ '.$vehicle->total_debits : 'e não possui nenhum débito junto ao DETRAN.')?>
                        </li>
                        <?php
                    }
                ?>
                </ol>
                <?php
            }
        }else{
            echo "Não consta.";
        }
    }

    function showCompanies($array){
        ?>
        <p class="text-initial">
            <strong>Participações em Empresas:</strong> 
            <?php 
                plural($array, 'empresa', 'empresas');
            ?>
        </p>
        <?php 
            if(!empty($array)){
                ?>
                <ol type=I>
                <?php
                    foreach($array as $idx_cp => $companie){
                        ?>
                        <li class="padding-left">
                            <b>Empresa</b> Figura com 
                            <b><?=($companie->percentage_quotas)?>% </b> das cotas da empresa 
                            <?=($companie->company->company_name)?> nome fantasia: 
                            <b><?=($companie->company->fantasy_name)?></b>, inscrita sob o CNPJ:
                            <?=(Util::mask("##.###.###/####-##",$companie->company->cpf_cnpj))?>, registrada em
                            <?=($companie->company->opening_date)?><?=(($companie->company->situation) !== 'active') ?'.' :' e situada no endereço: '.(Util::address($companie->address))?>
                            <ul>
                                <li><b>Status: </b> <?=(($companie->company->situation == 'active') ? 'Ativa' : 'Inativa')?></li>
                                <?php 
                                    if(($companie->company->situation) == 'active'){
                                        ?>
                                        <li><b>Atividade Principal: </b> <?=($companie->branch_activity)?></li>
                                        <li><b>Capital Social: </b> R$ <?=(number_format($companie->billing_total, 2,",","."))?></li>
                                        <li><?=(isset($companie->vehicles) && count($companie->vehicles) > 0 ) ? showVehicles($companie->vehicles) : '' ?></li>
                                <?php
                                    }
                                ?>                            
                            </ul>
                        </li>
                        <?php
                    }
                ?>
                </ol>
                <?php
            }
    }

    function showFamily($value){
        ?>
        <p class="text-initial">
            <b class="h3"><?=($value->person->name)?></b>
            <div class="padding-left">
                <p class="text-initial">
                    <b>CPF: </b><?=((verifyExist($value->person->cpf_cnpj) == $value->person->cpf_cnpj) ? Util::mask("###.###.###-##",$value->person->cpf_cnpj) : verifyExist($value->person->cpf_cnpj))?>
                    <br>
                    <b>Nascimento: </b><?=((verifyExist($value->person->birth_date) == $value->person->birth_date) ? calculateDate($value->person->birth_date) : verifyExist($value->person->birth_date))?>
                    <br>
                    <?php 
                        if(verifyExist($value->person->career) !== 'Não consta.'){
                            ?>
                             <b>Profissão: </b><?=(verifyExist($value->person->career))?>
                    <?php
                        }
                   
                    ?>
                  
                </p>
                <?php
                showNotes($value->finance_value, 'restrições financeiras');
                showNotes($value->criminal_value, ' criminal');
                showCompanies($value->companies);
                ?>
                <p class="text-initial">
                    <?=(showVehicles($value->vehicles))?>
                </p>
                <p class="text-initial">
                    <b>Certidões e Registro de Imóveis: </b>
                    <div class="padding-left">
                        <?=(showCertidoesMoveis($value))?> 
                    </div>
                </p>
            </div>
        </p>
        <?php
    }

    function showNotes($value, $text){
        ?>
        <p class="text-initial">
            <strong><?=(ucwords($text))?>: </strong>
            <?php 
                if(!empty($value)){
                    ?>
                    Possui anotações de <?=($text)?>, conforme exposto abaixo:
                    <ul>
                        <li class="padding-left">
                            <strong>Anotação: </strong><?=($value)?>
                        </li> 
                    </ul> 
                    <?php
                } 
                elseif(empty($value->finance_value)){
                    echo "Não consta.";
                }
            ?>
        </p>
        <?php
    }

    function showCertidoesMoveis($value){
        ?>
        <div class="content">
            <ul>
                <li>
                    Executivos Fiscais, Municipais e Estaduais - (últimos 10 anos):
                    <?php 
                        plural($value->certificates, 'processo', 'processos');
                    ?>
                    <?php
                        if(count($value->certificates) >= 1){
                            ?>
                            <ol type=I>
                            <?php
                                foreach($value->certificates as $certficate){
                                    ?>
                                    <li> 
                                        Processo: <?=($certficate->process_number)?> - <?=($certficate->location_name)?> - <?=($certficate->document_type)?>
                                    </li>
                                    <?php
                                }
                            ?>
                            </ol>
                            <?php
                        }
                    ?>
                </li>
                <li>
                    Registros de Imóveis:
                    <?php 
                        plural($value->properties, 'imovel', 'imoveis');
                    ?>
                    <?php
                        if(count($value->properties) >= 1) {
                            ?>
                            <ol type=I>
                            <?php
                            foreach($value->properties as $propertie){
                                ?>
                                <li>
                                    Endereço: <?=(Util::address($propertie->address))?>
                                </li>
                                <?php
                            }
                            ?>
                            </ol>
                            <?php
                        }
                    ?>
                </li>
            </ul>
        </div>
        <?php
    }

?>

<link rel="stylesheet" type="text/css" href="assets/default-style.css">
<style type="text/css">
	.text-danger {
		color: red;
	}

	.content {
		text-align: justify;
        line-height: 1.5;
	}

	p.text-initial {
		padding-left: 40px;      
	}

    p.text-secundary {
		padding-left: 20px;
	}

    li{
        padding-left: 10px;
    }

    .text-center {
		text-align: center;
	}

    img.person-photo {
		border: 2px solid #CCCCCC;
		height: 250px;
		max-height: 250px;
	}

    img.diligence-photo {
		border: 2px solid #000;
		height: 200px;
		max-height: 200px;
	}

    img.attachments-photo {
		width: 100%; 
		/* padding: 1%; */
	}

	table.table-attachments{
		/* border: 2px solid #000; */
	}

	td.attachments{
		border: 2px solid #000;
	}

    li.padding-left{
        padding-left: 25px;
    }

    b.h3{
        font-size: 120%;
        padding-bottom: 0px;
    }
    
    div.padding-left{
        padding-left: 15px;
    }

</style>

<htmlpageheader name="MyHeader1">
	<div class="header">
		DOCUMENTO CONFIDENCIAL
	</div>
</htmlpageheader>

<htmlpagefooter name="MyFooter1">
	<div class="footer">
		DOCUMENTO CONFIDENCIAL
	</div>
</htmlpagefooter>

<sethtmlpageheader name="MyHeader1" value="on" show-this-page="1" />
<sethtmlpagefooter name="MyFooter1" value="on" />
<div class="container">
	<p class="now-text"><?=(strftime('São Paulo, %d de %B de %Y', strtotime('today')));?></p>

	<h3>1. Qualificação Completa e Outras Informações</h3>

	<div class="content">
        <div class="text-center">
            <img class="person-photo" src="<?=($base_url."/".$response->company->foto)?>">
            <h3>
                <?=($response->company->name)?>
                <br>
                <?php
                    if (isset($response->company->surname) && !empty($response->company->surname)) {
                ?>
                <small style="color: red;">(Vulgo: <?=($response->company->surname)?>)</small>
                <?php
                    }
                ?>
            </h3>
        </div>

        <p class="text-initial">
            <strong>R.G:</strong> <?=(strlen($response->company->rg) == 9) ? $response->company->rg :$response->company->rg?>
            <br>
                                            <!-- tracinho está duplicando no cpf. Removido -->
            <strong>C.P.F:</strong> <?=(Util::mask("###.###.#####",$response->company->cpf_cnpj))?>
            <br>
            <strong>Mãe:</strong> <?=verifyExist($response->company->mothers_name)?>
            <br>
            <strong>Pai:</strong> <?=verifyExist($response->company->fathers_name)?>
            <br>
            <strong>Data de Nascimento:</strong> <?=(calculateDate($response->company->birth_date))?>  
            <br>
            <strong>Profissão:</strong> <?=(verifyExist($response->career))?>
            <br>
            <strong>Estado Civil:</strong> <?=(verifyExist($response->marital_status))?>
            <br>
            <?php 
                if(!empty($response->position_held)){
                     ?>
                    <strong>Cargo Atual:</strong> <?=(verifyExist($response->position_held))?>
                    <br>
                <?php 
                }
                if(!empty($response->current_company)){ 
                     ?> 
                     <strong>Empresa Atual:</strong> <?=(verifyExist($response->current_company))?>
            <?php
                }   
                ?>       
        </p>

        <p class="text-initial">
            <?php
                showNotes($response->accident_report_value, 'boletim de ocorrência');
            ?>
        </p>

        <p class="text-initial">
            <strong>Anotações Criminais: </strong>
            <?php
                if ($response->criminal_able){
                    plural($response->criminal_annotations, 'anotação criminal', 'anotações criminais');
                }else{
                    ?>
                    Não consta.
                    <?php
                }
            ?>
        </p>

        <?php
            if ($response->criminal_able) {
                ?>
                <ul>
                    <?php
                        foreach($response->criminal_annotations as $key => $ca) {
                        ?>
                            <li class="padding-left">
                                <span style="color: red;">Criminal <?=($key+1)?> - <?=($ca->criminal_article->description)?></span> do <?=($ca->criminal_article->brazil_code_name)?>, registrado em <?=($ca->record_date)?>, na <?=($ca->police_department_name)?>, BO nº <?=($ca->process_number)?>
                            </li>
                        <?php
                        }
                    ?>
                    
                    <?php
                    
                    if(!empty($response->criminal_value)){
                    ?>
                        <li class="padding-left">
                            <strong>Anotação: </strong><?=($response->criminal_value)?>
                        </li>   
                    <?php
                    }
                    ?>
                </ul>
                <?php
            }
        ?>
        
        <p class="text-initial">
            <?php
                showNotes($response->finance_value, 'restrições financeiras');
            ?>
        </p>

        <p class="text-initial">
            <b>Cônjuge: </b>
                <?=(verifyIsLocated($response->wife)).'.'?>
                <?php
                    if(verifyExist($response->wife->person->name) == $response->wife->person->name){
                        ?>
                        -
                        <?=(criminalAble($response->wife->criminal_able))?> e 
                        <?=(financeAble($response->wife->finance_able))?> 
                        <?php
                    }
                ?>
        </p>
        <?php
            if($response->has_ex_wife){
                ?>
                <p class="text-initial">
                    <b>Ex Cônjuge: </b>
                        <?=(verifyIsLocated($response->ex_wife)).'.'?>
                        <?php
                            if(verifyExist($response->ex_wife->person->name) == $response->ex_wife->person->name){
                                ?>
                                -
                                <?=(criminalAble($response->ex_wife->criminal_able))?> e 
                                <?=(financeAble($response->ex_wife->finance_able))?> 
                                <?php
                            }
                        ?>
                </p>
        <?php
         }
        ?>
        <!-- Childrens -->
        <p class="text-initial">
            <strong>Filhos: </strong>
            <?php 
                plural($response->childrens, 'filho', 'filhos');
            ?>
        </p>

        <?php 
            if(!empty($response->childrens)){
            ?>
                <ul>
                <?php
                    foreach($response->childrens as $children){
                        ?>
                        <li class="padding-left">
                            <?=verifyIsLocated($children)?>; Nascimento 
                            <?=(calculateDate($children->person->birth_date))?> -
                            <?=(criminalAble($children->criminal_able))?> e 
                            <?=(financeAble($children->finance_able))?> 
                        </li>
                        <?php
                    }
                ?>
                </ul>
            <?php
            }
        ?>
        
        <!-- Brothers -->
        <p class="text-initial">
            <strong>Irmãos: </strong>
            <?php 
                plural($response->brothers, 'irmão', 'irmãos');
            ?>
        </p>

        <?php 
            if(!empty($response->brothers)){
            ?>
                <ul>
                <?php
                    foreach($response->brothers as $brother){
                        ?>
                        <li class="padding-left">
                           
                            <?=verifyIsLocated($brother)?>; Nascimento 
                            <?=(calculateDate($brother->person->birth_date))?> -
                            <?=(criminalAble($brother->criminal_able))?> e 
                            <?=(financeAble($brother->finance_able))?> 
                        </li>
                        <?php
                    }
                ?>
                </ul>
            <?php
            }
        ?>

        <!-- Companies -->
        <p class="text-initial">
            <?php 
                showCompanies($response->companies);
            ?>
        </p>

        <!-- Vehicle -->
		<p class="text-initial" >
            <?php 
                showVehicles($response->vehicles);
            ?>
        </p>
        
        <!-- Address -->
        <p class="text-initial" >
            <strong>Endereços:</strong>
            <?php
                plural($response->adresses, 'endereço', 'endereços');
            ?>
        </p>

        <?php
            if (count($response->adresses) >= 1) {
                ?>
                <ol type=I>
                <?php
                        foreach($response->adresses as $key => $address){
                    ?>
                    <li class='padding-left'>
                        <strong>Endereço:</strong> <?=(Util::address($address))?>.
                    </li>
                    <?php
                        }
                    ?>
                </ol>
                <?php
            }
        ?>


        <p class="text-initial">
            <strong>Telefones Cadastrados:</strong>
            <?php
                if(isset($response->phones) && count($response->phones) > 0) {
                    foreach($response->phones as $key => $phone) {
            ?>
            (<?=($phone->ddd)?>) <?=($phone->number)?><?=((($key+1) < count($response->phones)) ? ',' : '')?>
            <?php
                    }
                }
                else {
                    echo 'Não Consta.';
                }
            ?>
        </p>
	</div>

    <h3>2. Certidões e Registro de Imóveis</h3>
    <?php 
        showCertidoesMoveis($response)
    ?>
    <!-- <h3>3. Pesquisa de Mídia Eletrônica</h3>

	<div class="content">
        
    </div> -->

    <h3>4. Diligências</h3>

	<div class="content">
        <?php 
            if (count($response->proceedings) >= 1){
                echo 'Dilgências relacionado a ';
                ?>
                <strong><?=$response->company->name?></strong>:
                <table width='100%' class='table-attachments'>
                <?php
                foreach ($response->proceedings as $keyPrcds => $valuePrcds){
                    if ($keyPrcds % 3 == 0 ){
                        ?>
                        <tr>
                        <?php
                    }
                    ?>
                    <td width='33%' class='attachments'>
                        <img class="attachments-photo" src="<?=($valuePrcds->attachment->path)?>">
                    </td>
                    <?php
                }
                foreach ($response->attachments as $keyAtt => $valueAtt){
                    if ($keyAtt % 3 == 0 ){
                        ?>
                        </tr>
                        <?php
                    }
                }
                ?>
                </table>
                <?php
            }
            else {
                echo 'Nenhuma dilgência';
            }
        ?>
    </div>
    
    <h3>5. Informações do Cônjuge</h3>

    <div class="content">
        <?php
            if($response->has_wife){
                if (isset($response->wife->is_located) && $response->wife->is_located === true) {
            ?>
            <p class='text-initial'>
                Segue abaixo informações vinculadas a cônjuge do Sr.(a) <b><?=($response->company->name)?></b>
            </p>
            <?php
                    showFamily($response->wife);
                }
                else {
            ?>
                <span><?=verifyIsLocated($response->wife).'.'?></span>
                <!-- Não Localizado(a). -->
            <?php
                }
            }
            else{
            ?>
                Não consta.
            <?php
            }   
        ?>
    </div>

    <?php 
        if($response->has_ex_wife){
            ?>          

    <h3>6. Informações do Ex-Cônjuge</h3>
    
    <div class="content">
        <?php
            if($response->has_ex_wife){
                if (isset($response->ex_wife->is_located) && $response->ex_wife->is_located === true) {
            ?>
            <p class='text-initial'>
                Segue abaixo informações vinculadas a ex-cônjuge do Sr.(a) <b><?=($response->company->name)?></b>
            </p>
            <?php
                    showFamily($response->ex_wife);
                }
                else {
            ?>
                <span><?=verifyIsLocated($response->ex_wife).'.'?></span>
                <!-- Não Localizado(a). -->
            <?php
                }
            }
            else{
                ?>
                Não consta.
                <?php
            }   
        ?>
    </div>
    <?php
       }
       ?>


    <h3>7. Informações dos Filhos</h3>
    <div class="content">
    <?php
            if($response->has_childrens){
            ?>
            <p class='text-initial'>
                Segue abaixo informações vinculadas dos filhos do Sr.(a) <b><?=($response->company->name)?></b>
            </p>
            <?php
                foreach($response->childrens as $children){
                    if (isset($children->is_located) && $children->is_located === true) {
            ?>
            <?php
                        showFamily($children);
                    }
                    else {
            ?>
              
            <span><?=verifyIsLocated($children).'.'?></span>
            <?php              
                    }
                }
            }
            else{
                ?>
                Não consta.
                <?php
            }   
        ?>
    </div>

    <h3>8. Considerações Finais</h3>

	<div class="content">
        <p class="text-initial">
           <?=(isset($response->final_considerations) && !empty($response->final_considerations)) ? $response->final_considerations : 'Não possui.' ?>
        </p>
    </div>
</div>