<?php
  require_once('util/util.http.class.php');
  require_once('util/util.array.class.php');
  
  $url = HttpUtil::getBaseURLApi()."/user/auth";

	$payload = [
		'login'=> 'sysadmin.unitconsult', 
		'password' => '@mudar#123!'
	];
	
  $req = HttpUtil::doPostRequest($url, $payload);

  $uc_api_user = json_decode($req['response']);
  $uc_api_user->access_token = str_replace("b'", "", $uc_api_user->access_token);
  $uc_api_user->access_token = str_replace("'", "", $uc_api_user->access_token);

	$report_params = $_GET;

  $baseUrlApi = HttpUtil::getBaseURLApi();
  $request_url = "{$baseUrlApi}/measurement/{$report_params['id']}";
  
  $headers = ["Authorization: Bearer {$uc_api_user->access_token}"];

  $response = json_decode(HttpUtil::doGetRequest($request_url, null, $headers)['response']);

  foreach($response->orders as $x => $order) {
    foreach ($order->services as $y => $sv) {
      $response->orders[$x]->service_name = $sv->service->name;
    }
  }
  
  uasort($response->orders, ['ArrayUtil','sortByServiceName']);

  $services = [];
  foreach($response->orders as $x => $order) {
    foreach ($order->services as $y => $sv) {
      $service = new stdClass();
      $service->data = $sv->service;
      $service->order = $order;

      if(!array_key_exists($sv->service->id, $services)) {
        $services[$sv->service->id] = [];
      }

      $services[$sv->service->id][] = $service;
    }
  }

  foreach($services as $key => $item) {
    uasort($services[$key], ['ArrayUtil','sortByCreatedAt']);
  }
?>

<link rel="stylesheet" type="text/css" href="assets/default-style.css">

<style type="text/css">
  @page {
    margin-top: 3cm;
    header: MyHeader1;
  }

  .container {
    padding-top: 0px;
  }

	.text-center {
		text-align: center;
	}

	.text-right {
		text-align: right;
	}

  .table {
    font-family: 'Arial';
    font-size: 90%;
  }

  .table {
    border-collapse: collapse !important;
  }
  .table td,
  .table th {
    background-color: #fff !important;
    padding: 5px;
  }

  .table .thead-dark th {
    color: inherit;
    border-color: #EFEFEF;
  }

  .table {
    background-color: #fff;
  }

  .table-bordered th,
  .table-bordered td {
    border: 1px solid #EFEFEF !important;
  }

  .table-bordered {
    border: 0.5 solid #EFEFEF;
  }
  .table-bordered th,
  .table-bordered td {
    border: 0.5 solid #EFEFEF;
  }
  .table-bordered thead th,
  .table-bordered thead td {
    border-bottom-width: 1;
  }
</style>

<htmlpageheader name="MyHeader1">
	<div>
    <table width="100%">
      <tbody>
        <tr>
          <td align="center" width="100"><img src="assets/logo-unit-consult.png"/></td>
          <td align="center" style="font-family: Verdana, Geneva, Tahoma, sans-serif;">
            <span style="font-weight: bold;">Relatório de Medição de Serviços</span>
            <br>
            <small><?=($response->description)?></small>
            <br>
            <?=($response->customer->company_name)?>
          </td>
          <td style="font-family: Verdana, Geneva, Tahoma, sans-serif; font-size: 12px; text-align: right;" width="100">
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</htmlpageheader>

<div class="container">
  <h5 style="border-bottom: 0.5px solid #000;">Ordens de Serviço</h5>

  <?php
    $border_bottom = 'border-bottom: 0.5px solid #9c9c9c;';
    $vlr_total = 0;

    foreach($services as $key => $item) {
  ?>
      <table class="table" width="100%" style="margin-top: 20px;">
        <tbody>
          <tr>
            <td 
              colspan="2" 
              style="font-weight: bold; background-color: #9c9c9c; color: #fff;"
            >
              <?=($item[0]->data->name)?>
            </td>
          </tr>
          <?php
            foreach($item as $x => $os) {
              $vlr_os = 0;
              foreach($os->order->services as $x => $sv) {
                $vlr_os += ($sv->quantity * $sv->price);
                $vlr_total += $vlr_os;
              }
          ?>
          <tr>        
            <td style="<?=($border_bottom)?>" align="left">
              <strong>
                <?=($os->order->operation_name)?>
                <?php
                  if($os->order->period) {
                ?>
                  - Periodo: <?=($os->order->period)?>
                <?php
                  }
                ?>
              </strong>
              <br>
              <span><?=($os->order->operation_subject)?></span>
              <br>
              <?php
                if($os->order->business_unit) {
              ?>
              <small><strong>Centro de Custos: <?=($os->order->business_unit->description)?></strong></small>
              <br>
              <small style="color: #9c9c9c;">
                <?php
                }
                  if($os->order->requester_name) {
                    echo $os->order->requester_name;
                  }
                  if($os->order->requested_at) {
                    echo " (Dt. Solicitação: {$os->order->requested_at})";
                  }
                ?>
              </small>
            </td>
            <th style="<?=($border_bottom)?>" class="text-right" width="130">R$ <?=(number_format($vlr_os, 2, ',', '.'))?></th>
          </tr>
          <?php
            if(isset($_GET['detailed'])) {
              $qtd = 0;

              foreach($os->order->services as $y => $sv) {
                foreach ($sv->companies as $x => $cp) {
                  $qtd++;
                }
              }

              if($qtd) {
          ?>
          <tr>
            <td colspan="2" style="border-bottom: 0.5px solid #9c9c9c;">NOMES</td>
          </tr>
          <?php
              }

              foreach($os->order->services as $y => $sv) {
                foreach ($sv->companies as $x => $cp) {
                  $name = ($cp->person_type === 'PJ') ? strtoupper($cp->company_name) : strtoupper($cp->name);
                  if(!empty($cp->cpf_cnpj)) {
                    if($cp->person_type === 'PF') {
                      $cpf_cnpj = substr($cp->cpf_cnpj, 0, 3);
                      $cpf_cnpj .= '.';
                      $cpf_cnpj .= substr($cp->cpf_cnpj, 3, 3);
                      $cpf_cnpj .= '.';
                      $cpf_cnpj .= substr($cp->cpf_cnpj, 6, 3);
                      $cpf_cnpj .= '-';
                      $cpf_cnpj .= substr($cp->cpf_cnpj, 9, 2);
                    }
                    else if($cp->person_type === 'PJ') {
                      $cpf_cnpj = substr($cp->cpf_cnpj, 0, 2);
                      $cpf_cnpj .= '.';
                      $cpf_cnpj .= substr($cp->cpf_cnpj, 2, 3);
                      $cpf_cnpj .= '.';
                      $cpf_cnpj .= substr($cp->cpf_cnpj, 5, 3);
                      $cpf_cnpj .= '/';
                      $cpf_cnpj .= substr($cp->cpf_cnpj, 8, 4);
                      $cpf_cnpj .= '-';
                      $cpf_cnpj .= substr($cp->cpf_cnpj, 12, 2);
                    }
                  }
                  else {
                    $cpf_cnpj = '';
                  }
          ?>
          <tr>
            <td><?=($name)?></td>
            <td align="right"><?=($cpf_cnpj)?></td>
          </tr>
          <?php
                }
              }
            }
          ?>
          <?php
            }
          ?>
        </tbody>
      </table>
  <?php
    }
  ?>
  <br>
  <table class="table" width="100%">
    <thead>
      <tr>
        <td style="border-top: 1px solid #000;" align="left">
          Subtotal
        </td>
        <td style="border-top: 1px solid #000;" class="text-right" width="130">
          R$ <?=(number_format($vlr_total, 2, ',', '.'))?>
        </td>
      </tr>
      <tr>
        <td align="left">Descontos</td>
        <td class="text-right" width="130">
          R$ <?=(number_format(($response->discount * -1), 2, ',', '.'))?>
        </td>
      </tr>
      <tr>
        <th align="left">Total</th>
        <th class="text-right" width="130">
          R$ <?=(number_format(($vlr_total - $response->discount), 2, ',', '.'))?>
        </th>
      </tr>
    </thead>
    <tbody>

    </tbody>
  </table>
  <hr>
</div>
