<?php
  require_once('util/util.http.class.php');
  
  $url = HttpUtil::getBaseURLApi()."/user/auth";
	$payload = [
		'login'=> 'sysadmin.unitconsult', 
		'password' => '@mudar#123!'
	];
	$req = HttpUtil::doPostRequest($url, $payload);
  $uc_api_user = json_decode($req['response']);
  $uc_api_user->access_token = str_replace("b'", "", $uc_api_user->access_token);
  $uc_api_user->access_token = str_replace("'", "", $uc_api_user->access_token);
  
	$report_params = $_GET;

	$request_url = HttpUtil::getBaseURLApi();
  $request_url .= '/reports/researches';
  $request_url .= '?dta_from='. urlencode($report_params['dta_from']);
  $request_url .= '&dta_to='. urlencode($report_params['dta_to']);
  $request_url .= '&customer_id='. $report_params['customer_id'];

  $headers = ["Authorization: Bearer {$uc_api_user->access_token}"];

  $response = json_decode(HttpUtil::doGetRequest($request_url, null, $headers)['response']);
  $customer = $response->records[0]->order->customer;
  
  $dta_from = DateTime::createFromFormat('Y-m-d H:i:s', $report_params['dta_from']);
  $dta_from = $dta_from->format('d/m/Y');
  
  $dta_to = DateTime::createFromFormat('Y-m-d H:i:s', $report_params['dta_to']);
  $dta_to = $dta_to->format('d/m/Y');

  $columns = json_decode($_GET['columns']);
?>

<link rel="stylesheet" type="text/css" href="assets/default-style.css">

<style type="text/css">
  @page {
    margin-top: 3cm;
    header: MyHeader1;
  }

  .container {
    padding-top: 0px;
  }

	.text-center {
		text-align: center;
	}

	.text-right {
		text-align: right;
	}

  .table {
    font-family: 'Arial';
    font-size: 90%;
  }

  .table {
    border-collapse: collapse !important;
  }
  .table td,
  .table th {
    background-color: #fff !important;
    padding: 5px;
  }

  .table .thead-dark th {
    color: inherit;
    border-color: #EFEFEF;
  }

  .table {
    background-color: #fff;
  }

  .table-bordered th,
  .table-bordered td {
    border: 1px solid #EFEFEF !important;
  }

  .table-bordered {
    border: 0.5 solid #EFEFEF;
  }
  .table-bordered th,
  .table-bordered td {
    border: 0.5 solid #EFEFEF;
  }
  .table-bordered thead th,
  .table-bordered thead td {
    border-bottom-width: 1;
  }
  
  .table td.background-success, 
  .table th.background-success {
    background-color: forestgreen !important;
    color: #fff;
    font-weight: bold;
  }

  .table td.background-danger, 
  .table th.background-danger {
    background-color: crimson !important;
    color: #fff;
    font-weight: bold;
  }
</style>

<htmlpageheader name="MyHeader1">
	<div>
    <table width="100%">
      <tbody>
        <tr>
          <td align="center" width="100"><img src="assets/logo-unit-consult.png"/></td>
          <td align="center" style="font-family: Verdana, Geneva, Tahoma, sans-serif;">
            <span style="font-weight: bold;">Relatório de Fechamento Mensal</span>
            <br>
            <?=($customer->company_name)?>
          </td>
          <td style="font-family: Verdana, Geneva, Tahoma, sans-serif; font-size: 12px; text-align: right;" width="120">
            De: <?=($dta_from)?>
            <br>
            Até: <?=($dta_to)?>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</htmlpageheader>

<div class="container">
  <table class="table table-bordered" width="100%">
    <thead>
      <tr>
        <th>Nome</th>
        <?php
          
          if($columns->business_unit) {
        ?>
        <th>Centro de Custos</th>
        <?php
          }
          
          if($columns->service) {
        ?>
        <th>Serviço</th>
        <?php
          }
          
          if($columns->requester_name) {
        ?>
        <th width="200">Solicitante</th>
        <?php
          }
          
          if($columns->requested_at) {
        ?>
        <th class="text-center" width="120">Dt. Solicitação</th>
        <?php
          }
          
          if($columns->unit_value) {
        ?>
        <th class="text-center" width="120">Valor</th>
        <?php
          }
          
          if($columns->status_criminal) {
        ?>
        <th class="text-center" width="50">Status Criminal</th>
        <?php
          }
          
          if($columns->status_finance) {
        ?>
        <th class="text-center" width="50">Status Financeiro</th>
        <?php
          }
          
          if($columns->status_accident_report) {
        ?>
        <th class="text-center" width="50">Status B.O.</th>
        <?php
          }
        ?>
      </tr>
    </thead>
    <tbody>
      <?php
        $total = 0;

        foreach ($response->records as $key => $record) {
      ?>
      <tr>
        <td>
          <?php
            switch($record->status) {
              case 'pending':
                $color = '#ff902b';
                $label = 'Pendente';
                break;
              case 'done':
                $color = '#27c24c';
                $label = 'Concluído';
                break;
            }
          ?>
          <span style="color: <?=($color)?>">•</span>
          <?php
            switch($record->person->person_type) {
              case 'PJ':
                if($record->person->company_name)
                  echo strtoupper($record->person->company_name);
                else
                  echo strtoupper($record->person->fantasy_name);
                break;
              case 'PF':
                echo strtoupper($record->person->name);
                break;
            }

            $total += $record->service->default_price;
          ?>
        </td>
        <?php
          if($columns->business_unit) {
        ?>
        <td><?=(($record->order->business_unit) ? $record->order->business_unit->description : null)?></td>
        <?php
          }

          if($columns->service) {
        ?>
        <td><?=($record->service->name)?></td>
        <?php
          }

          if($columns->requester_name) {
        ?>
        <td><?=(isset($record->order->requester_name) ? $record->order->requester_name : '')?></td>
        <?php
          }

          if($columns->requested_at) {
        ?>
        <td><?=(isset($record->order->requested_at) ? $record->order->requested_at : '')?></td>
        <?php
          }

          if($columns->unit_value) {
        ?>
        <td class="text-right">R$ <?=(number_format($record->service->default_price, 2, ',', '.'))?></td>
        <?php
          }

          if($columns->status_criminal) {
        ?>
        <td class="text-center <?=(($record->details->criminal_able) ? 'background-success' : 'background-danger')?>">
          <?=(($record->details->criminal_able) ? (($customer->able_label) ? $customer->able_label : 'Apto') : (($customer->unable_label) ? $customer->unable_label : 'Inapto'))?>
        </td>
        <?php
          }

          if($columns->status_finance) {
        ?>
        <td class="text-center <?=(($record->details->finance_able) ? 'background-success' : 'background-danger')?>">
          <?=(($record->details->finance_able) ? (($customer->able_label) ? $customer->able_label : 'Apto') : (($customer->unable_label) ? $customer->unable_label : 'Inapto'))?>
        </td>
        <?php
          }

          if($columns->status_accident_report) {
        ?>
        <td class="text-center <?=(($record->details->accident_report_able) ? 'background-success' : 'background-danger')?>">
          <?=(($record->details->accident_report_able) ? (($customer->able_label) ? $customer->able_label : 'Apto') : (($customer->unable_label) ? $customer->unable_label : 'Inapto'))?>
        </td>
        <?php
          }
        ?>
      </tr>
      <?php
        }
      ?>
    </tbody>
    <tfoot>
      <tr>
        <td colspan="3"><strong>TOTAL <?=(count($response->records))?></strong></td>
        <td colspan="2"></td>
        <td class="text-right"><strong>R$ <?=(number_format($total, 2, ',', '.'))?></strong></td>
      </tr>
    </tfoot>
  </table>
</div>