<?php
	require_once('util/util.http.class.php');

	$url = HttpUtil::getBaseURLApi()."/user/auth";
	$payload = [
		'login'=> 'sysadmin.unitconsult', 
		'password' => '@mudar#123!'
	];
	$req = HttpUtil::doPostRequest($url, $payload);
	$uc_api_user = json_decode($req['response']);
	$uc_api_user->access_token = str_replace("b'", "", $uc_api_user->access_token);
	$uc_api_user->access_token = str_replace("'", "", $uc_api_user->access_token);

	$report_params = $_GET;

	$request_url = HttpUtil::getBaseURLApi();
	$request_url .= '/order/'. $report_params['order_id'];
	$request_url .= '/service/'. $report_params['service_id'];
	$request_url .= '/records';

	$headers = ["Authorization: Bearer {$uc_api_user->access_token}"];

	$response = json_decode(HttpUtil::doGetRequest($request_url, null, $headers)['response']);

	if ($_GET['echo'] && $_GET['echo'] === 'true') {
		header('Content-Type: application/json');
		echo json_encode($response);
		die;
	}

	function getPersonDocumentNumber($person) {
		$document = $person->cpf_cnpj;

		switch($person->person_type) {
			case 'PF':
				$document = preg_replace("/(\d{3})(\d{3})(\d{3})(\d{2})/", "$1.$2.$3-$4", $document);
				break;
			case 'PJ':
				$document = preg_replace("/(\d{2})(\d{3})(\d{3})(\d{4})(\d{2})/", "$1.$2.$3/$4-$5", $document);
				break;
		}

		return $document;
	}

	function isDefaultField($record, $field) {
		$is_default = false;
		foreach ($record->values_fields as $vf_key => $vf) {
			foreach ($vf->layout->fields as $key => $lfield) {
				$oid = json_decode(json_encode($lfield->oid), true)['$oid'];
				if ($oid === $field->id) {
					if($lfield->default_value) {
						$is_default = true;
					}
				}
			}
		}
		return $is_default;
	}

	function getFieldValue($record, $field) {
		$value = (($field->value->value) ? $field->value->value : $field->value);

		foreach ($record->values_fields as $vf_key => $vf) {
			foreach ($vf->layout->fields as $key => $lfield) {
				$oid = json_decode(json_encode($lfield->oid), true)['$oid'];
				if ($oid === $field->id) {
					if ($lfield->default_value === '|--person.cpf_cnpj--|') {
						$value = getPersonDocumentNumber($record->company);
					}
				}
			}
		}
		
		return $value;
	}
?>

<link rel="stylesheet" type="text/css" href="assets/default-style.css">

<style type="text/css">
	.container {
		padding-top: 5px;
	}

	.now-text {
		margin-bottom: 20px;
	}

	.person-list {
		font-family: "Courier New";
		font-style: 8pt;
	}

	.person-list li {
		padding-bottom: 15px;
	}

	.person-list .person-name {
		text-decoration: underline;
	}

	ol li {
		list-style-type: none;
	}

	.table {
		font-family: 'Arial';
		font-size: 80%;
		border: 0;
		width: 100%;
		max-width: 100%;
		border-collapse: collapse;
	}

	.table th,
	.table td {
		border: 1px solid #dde6e9;
		padding: 5px;
		text-align: center;
	}

	.table th {
		background-color: #edf1f2;
	}
	
	.table td.background-success, 
	.table th.background-success {
		background-color: forestgreen !important;
		color: #fff;
		font-weight: bold;
	}

	.table td.background-danger, 
	.table th.background-danger {
		background-color: #f05050 !important;
		color: #fff;
		font-weight: bold;
	}

		.table td.background-warning, 
	.table th.background-warning {
		background-color: #ff902b !important;
		color: #fff;
		font-weight: bold;
	}

		.table td.background-info, 
	.table th.background-info {
		background-color: #5d9cec !important;
		color: #fff;
		font-weight: bold;
	}

		.table td.background-inverse, 
	.table th.background-inverse {
		background-color: #000000 !important;
		color: #fff;
		font-weight: bold;
	}
</style>

<htmlpageheader name="MyHeader1">
	<div class="header">
		DOCUMENTO CONFIDENCIAL
	</div>
</htmlpageheader>

<htmlpagefooter name="MyFooter1">
	<div class="footer">
		DOCUMENTO CONFIDENCIAL
	</div>
</htmlpagefooter>

<sethtmlpageheader name="MyHeader1" value="on" show-this-page="1" />
<sethtmlpagefooter name="MyFooter1" value="on" />

<div class="container">
	<p class="now-text"><?=(strftime('São Paulo, %d de %B de %Y', strtotime('today')));?>.</p>

	<div class="content">
		<ol class="person-list">
			<?php
				foreach ($response as $key => $record) {
			?>
			<li>
				<strong class="person-name uppercase">
					<?=($key+1)?>. <?=(($record->company->person_type == 'PF') ? $record->company->name : $record->company->company_name)?> - CPF <?=(getPersonDocumentNumber($record->company))?>
				</strong>
			</li>
			<?php
					foreach ($record->values_fields as $vf_key => $vf) {
						foreach ($vf->fields as $fd_key => $field) {
							if (!isDefaultField($record, $field)) {
			?>
			<p class="value_field"><strong><?=($field->name)?></strong>: <?=((!$field->hide) ? (($field->value) ? getFieldValue($record, $field) : 'Nada consta') : 'Nada consta')?></p>
			<?php
							}
			
							if($field->criminal_annotations && count($field->criminal_annotations) > 0) {
			?>
			<div class="not-text clearfix"><strong>Possui anotações criminais conforme exposto abaixo:</strong></div>
			<?php
								foreach ($field->criminal_annotations as $xca => $ca) {
									switch($ca->status) {
										case 'archived':
											$ca->status = 'Arquivado';
											break;
										case 'process_suspended':
											$ca->status = 'Suspensão do Processo Lei 9.099';
											break;
										case 'reported':
											$ca->status = 'Denunciado';
											break;
										case 'extinguishing_punishability':
											$ca->status = 'Estinção da Punibilidade';
											break;
										case 'condemned':
											$ca->status = 'Condenado';
											break;
										case 'acquitted':
											$ca->status = 'Absolvido';
											break;
										case 'nothing':
											$ca->status = 'Nada Consta';
											break;
										case 'others':
											$ca->status = 'Outros';
											break;
									}

									switch($ca->criticality_level) {
										case 'higher':
											$ca->criticality_level_color = 'danger';
											$ca->criticality_level_label = 'Gravíssimo';
											break;
										case 'serious':
											$ca->criticality_level_color = 'warning';
											$ca->criticality_level_label = 'Grave';
											break;
										case 'medium':
											$ca->criticality_level_color = 'info';
											$ca->criticality_level_label = 'Médio';
											break;
										case 'light':
											$ca->criticality_level_color = 'inverse';
											$ca->criticality_level_label = 'Leve';
											break;
									}
			?>
			<fieldset>
				<table class="table">
					<thead>
						<tr>
							<th width="100">Data Registro</th>
							<th style="text-align: left;">Artigo</th>
							<th width="100">Classificação</th>
						</tr>
					</thead>
					<tbody>
						<tr>
							<td><?=($ca->record_date)?></td>
							<td style="text-align: left;">
								(<?=($ca->criminal_article->brazil_code_name)?>)
								<?=($ca->criminal_article->article_number)?>
								-
								<?=($ca->criminal_article->article_name)?>
								<br>
								<small><strong>DP: <?=($ca->police_department_name)?></strong></small>
							</td>
							<td class="background-<?=($ca->criticality_level_color)?>">
								<?=($ca->criticality_level_label)?>
							</td>
						</tr>
					</tbody>
				</table>

				<table class="table">
					<thead>
						<tr>
							<th width="100">Nº Processo</th>
							<th width="100">Nº Inquérito</th>
							<th width="100">Nº T.C.</th>
							<th width="100">Status</th>
						</tr>
					</thead>
					<tbody>
						<tr>
							<td><?=($ca->process_number)?></td>
							<td><?=($ca->inquiry_number)?></td>
							<td><?=($ca->circumstantial_term_number)?></td>
							<td><?=($ca->status)?></td>
						</tr>
					</tbody>
				</table>
				
				<?php
					if($ca->has_police_report_bulletin) {
				?>
				<table class="table">
					<thead>
						<tr>
							<th width="100">Data B.O.</th>
							<th width="100">Nº B.O.</th>
							<th style="text-align: left;">Relatório Policial</th>
						</tr>
					</thead>
					<tbody>
						<tr>
							<td><?=($ca->police_report_date)?></td>
							<td><?=($ca->police_report_number)?></td>
							<td style="text-align: left;"><?=($ca->police_report_value)?></td>
						</tr>
					</tbody>
				</table>
				<?php
					}
				?>

				<?php
					if (!empty($ca->comments)) {
				?>
				<table class="table">
					<thead>
						<tr>
							<th style="text-align: left;">Observações</th>
						</tr>
					</thead>
					<tbody>
						<tr>
							<td style="text-align: left;"><?=($ca->comments)?></td>
						</tr>
					</tbody>
				</table>
				<?php		
					}
				?>
			</fieldset>
			<?php
								}
							}
						}
					}
				}
			?>
		</ol>
	</div>
</div>