<?php
	require_once('util/util.http.class.php');

	$url = HttpUtil::getBaseURLApi()."/user/auth";
	$payload = [
		'login'=> 'sysadmin.unitconsult', 
		'password' => '@mudar#123!'
	];
	$req = HttpUtil::doPostRequest($url, $payload);

	$uc_api_user = json_decode($req['response']);
	$uc_api_user->access_token = str_replace("b'", "", $uc_api_user->access_token);
	$uc_api_user->access_token = str_replace("'", "", $uc_api_user->access_token);
	
	$report_params = $_GET;

	$show_unit_logo = (isset($report_params['show_unit_logo']) && $report_params['show_unit_logo'] === 'true') ? true : false;

	$request_url = HttpUtil::getBaseURLApi();
	$request_url .= '/order/'. $report_params['order_id'];
	$request_url .= '/service/'. $report_params['service_id'];
	$request_url .= '/records';
	$request_url .= '?offset=1&limit=1000';

	$headers = ["Authorization: Bearer {$uc_api_user->access_token}"];
	
	$response = json_decode(HttpUtil::doGetRequest($request_url, null, $headers)['response']);

	if ($_GET['echo'] && $_GET['echo'] === 'true') {
		header('Content-Type: application/json');
		echo json_encode($response);
		die;
	}

	$persons = [];
	foreach ($response->records[0]->persons as $key => $prv) {
		$canAdd = true;

		if(isset($_GET['person_id']) && $prv->person->id !== $_GET['person_id']) {
			$canAdd = false;
		}

		if($canAdd) {
			if(!isset($report_params['criminal_able']) && !isset($report_params['finance_able'])) {
				$persons[] = $prv;
			}
			else if((isset($report_params['criminal_able']) && !$prv->criminal_able)) {
				$persons[] = $prv;
			}
			else if((isset($report_params['finance_able']) && !$prv->finance_able)) {
				$persons[] = $prv;
			}
		}
	}

	$customer = $response->records[0]->order->customer;
?>

<link rel="stylesheet" type="text/css" href="assets/default-style.css">

<style type="text/css">
	@page {
    margin-top: 3cm;
    header: MyHeader1;
  }

	.container {
		padding-top: 5px;
	}

	.now-text {
		margin-bottom: 20px;
	}

	.person-list {
		font-family: "Courier New";
		font-style: 8pt;
	}

	.person-list li {
		padding-bottom: 15px;
	}

	.text-underline {
		text-decoration: underline;
	}

	.text-center {
		text-align: center;
	}

	.text-danger {
		color: #ec2121;
	}

	.table {
		font-family: 'Arial';
		font-size: 80%;
		margin-top: 20px;
		margin-bottom: 20px;
		border: 0;
		width: 100%;
		max-width: 100%;
		border-collapse: collapse;
	}

	.table th,
	.table td {
		border: 1px solid #dde6e9;
		padding: 5px;
		text-align: center;
	}

	.table th {
		background-color: #edf1f2;
	}
	
	.table td.background-success, 
	.table th.background-success {
		background-color: forestgreen !important;
		color: #fff;
		font-weight: bold;
	}

	.table td.background-danger, 
	.table th.background-danger {
		background-color: #f05050 !important;
		color: #fff;
		font-weight: bold;
	}

	.table td.background-warning, 
	.table th.background-warning {
		background-color: #ff902b !important;
		color: #fff;
		font-weight: bold;
	}

	.table td.background-info, 
	.table th.background-info {
		background-color: #5d9cec !important;
		color: #fff;
		font-weight: bold;
	}

	.table td.background-inverse, 
	.table th.background-inverse {
		background-color: #000000 !important;
		color: #fff;
		font-weight: bold;
	}

	ol { 
		padding-left: 0;
		list-style: inside decimal;
	}

	ol li {
		list-style-type: none;
	}
</style>

<htmlpageheader name="MyHeader1">
	<div>
    <table width="100%">
      <tbody>
        <tr>
					<?php
						if($show_unit_logo) {
					?>
          <td align="center" width="100">
						<img src="assets/logo-unit-consult.png"/>
					</td>
					<?php
						}
					?>
					<td 
						align="<?=(($show_unit_logo) ? 'center' : 'left')?>" 
						style="font-family: Verdana, Geneva, Tahoma, sans-serif;"
					>
            <span style="font-weight: bold;">Informações de Candidatos</span>
            <br>
            <?=($customer->company_name)?>
          </td>
					<td 
						style="font-family: Verdana, Geneva, Tahoma, sans-serif; font-size: 12px; text-align: right;" 
						width="<?=(($show_unit_logo) ? '120' : '')?>"
					>
						<?=(strftime('São Paulo %d/%m/%Y', strtotime('today')));?>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
</htmlpageheader>

<div class="container">
	<div class="content">
		<ol class="person-list">
			<?php
				foreach ($persons as $key => $prv) {
					if(isset($report_params['names_per_page']) && $key >= 1) {
			?>
			<pagebreak>
			<?php
					}
			?>
			<li>
				<span class="person-name uppercase text-underline">
					<?=($key+1)?>. <?=(($prv->person->person_type == 'PF') ? $prv->person->name : $prv->person->company_name)?>
				</span>
				<table class="table">
					<thead>
						<tr>
							<th width="80">RG</th>
							<th width="80">CPF</th>
							<th>PAI</th>
							<th>MÃE</th>
							<th width="100">NASCIMENTO</th>
							<?php
								if($response->records[0]->service->treat_vehicle) {
							?>
							<th width="70">VEÍCULO</th>
							<?php
								}
							?>
							<?php
								if($response->records[0]->service->treat_accident_report) {
							?>
							<th width="70">B.O.</th>
							<?php
								}
							?>
							<?php
								if($response->records[0]->service->treat_criminal) {
							?>
							<th width="70">CRIMINAL</th>
							<?php
								}
							?>
							<?php
								if($response->records[0]->service->treat_finance) {
							?>
							<th width="70">FINANCEIRO</th>
							<?php
								}
							?>
							<?php
								if($response->records[0]->service->treat_labor_actions) {
							?>
							<th width="70">AÇÕES TRABALHISTAS</th>
							<?php
								}
							?>
						</tr>
					</thead>
					
					<tbody>
						<tr>
							<td><?=(isset($prv->person->rg) ? $prv->person->rg : '')?></td>
							<td><?=(isset($prv->person->cpf_cnpj) ? $prv->person->cpf_cnpj : '')?></td>
							<td style="text-align: left;"><?=(isset($prv->person->fathers_name) ? $prv->person->fathers_name : '')?></td>
							<td style="text-align: left;"><?=(isset($prv->person->mothers_name) ? $prv->person->mothers_name : '')?></td>
							<td><?=(isset($prv->person->birth_date) ? $prv->person->birth_date : '')?></td>
							
							<?php
								if($response->records[0]->service->treat_vehicle) {
							?>
							<td class="text-center <?=(($prv->vehicle_able) ? (isset($prv->has_vehicle_restrictions) && $prv->has_vehicle_restrictions) ? 'background-warning' : 'background-success' : 'background-danger')?>">
								<?php
									if($prv->vehicle_able) {
								?>
								<span><?=(isset($prv->has_vehicle_restrictions) && $prv->has_vehicle_restrictions ? 'Em Análise' : 'Não Possúi')?></span>
								<?php
									}
									else {
								?>
								<span>Possúi</span>
								<?php
									}
								?>
							</td>
							<?php
								}
							?>
							
							<?php
								if($response->records[0]->service->treat_accident_report) {
							?>
							<td class="text-center <?=(($prv->accident_report_able) ? (isset($prv->has_accident_report_restrictions) && $prv->has_accident_report_restrictions) ? 'background-warning' : 'background-success' : 'background-danger')?>">
								<?php
									if($prv->accident_report_able) {
								?>
								<span><?=(isset($prv->has_accident_report_restrictions) && $prv->has_accident_report_restrictions ? 'Em Análise' : (($customer->able_label) ? $customer->able_label : 'Apto'))?></span>
								<?php
									}
									else {
								?>
								<span><?=(($customer->unable_label) ? $customer->unable_label : 'Inapto')?></span>
								<?php
									}
								?>
							</td>
							<?php
								}
							?>
							
							<?php
								if($response->records[0]->service->treat_criminal) {
							?>
							<td class="text-center <?=(($prv->criminal_able) ? (isset($prv->has_criminal_restrictions) && $prv->has_criminal_restrictions) ? 'background-warning' : 'background-success' : 'background-danger')?>">
								<?php
									if($prv->criminal_able) {
								?>
								<span><?=(isset($prv->has_criminal_restrictions) && $prv->has_criminal_restrictions ? 'Em Análise' : (($customer->able_label) ? $customer->able_label : 'Apto'))?></span>
								<?php
									}
									else {
								?>
								<span><?=(($customer->unable_label) ? $customer->unable_label : 'Inapto')?></span>
								<?php
									}
								?>
							</td>
							<?php
								}
							?>

							<?php
								if($response->records[0]->service->treat_finance) {
							?>
							<td class="text-center <?=(($prv->finance_able) ? (isset($prv->has_finance_restrictions) && $prv->has_finance_restrictions) ? 'background-warning' : 'background-success' : 'background-danger')?>">
								<?php
									if($prv->finance_able) {
								?>
								<span><?=(isset($prv->has_finance_restrictions) && $prv->has_finance_restrictions ? 'Em Análise' : (($customer->able_label) ? $customer->able_label : 'Apto'))?></span>
								<?php
									}
									else {
								?>
								<span><?=(($customer->unable_label) ? $customer->unable_label : 'Inapto')?></span>
								<?php
									}
								?>
							</td>
							<?php
								}
							?>

							<?php
								if($response->records[0]->service->treat_labor_actions) {
							?>
							<td class="text-center <?=(($prv->labor_actions_able) ? (isset($prv->has_criminal_restrictions) && $prv->has_criminal_restrictions) ? 'background-warning' : 'background-success' : 'background-danger')?>">
								<?php
									if($prv->labor_actions_able) {
								?>
								<span><?=(isset($prv->has_criminal_restrictions) && $prv->has_criminal_restrictions ? 'Em Análise' : 'Não Possúi')?></span>
								<?php
									}
									else {
								?>
								<span>Possúi</span>
								<?php
									}
								?>
							</td>
							<?php
								}
							?>
						</tr>
					</tbody>
				</table>

				<?php
					if($response->records[0]->service->treat_accident_report && $prv->show_accident_report_value) {
				?>
				<div class="not-text clearfix text-underline"><strong>Possui (Boletim de Ocorrência) cadastrado:</strong></div>
				<?php
						echo $prv->accident_report_value;
					}
				?>

				<?php
					if($response->records[0]->service->treat_labor_actions && !$prv->labor_actions_able) {
				?>
				<div class="not-text clearfix text-underline"><strong>Possui (Ações Trabalhistas) conforme exposto abaixo:</strong></div>
				<?php
						echo $prv->labor_actions_value;
					}
				?>

				<?php
					if($response->records[0]->service->treat_vehicle && $prv->show_vehicle_value && $prv->vehicles && count($prv->vehicles) > 0) {
				?>
				<div class="not-text clearfix"><strong>Possui <?=(count($prv->vehicles))?> veículos conforme exposto abaixo:</strong></div>
				<table class="table" style="margin-top: 0px;">
					<thead>
						<tr>
							<th width="90" align="left">Marca</th>
							<th align="left">Modelo</th>
							<th width="60">Ano</th>
							<th width="80">Placa</th>
							<th width="100">Cor</th>
							<th width="120" align="right">Valor</th>
						</tr>
					</thead>
					<tbody>
				<?php
						foreach ($prv->vehicles as $xvh => $vh) {
				?>
						<tr>
							<td align="left">
								<?=($vh->brand->name)?>
							</td>
							<td align="left">
								<?=($vh->model->name)?>
							</td>
							<td>
								<?=(explode('-', $vh->version->id)[0])?>
							</td>
							<td>
								<?=($vh->plate_number)?>
							</td>
							<td>
								<?=($vh->color_name)?>
							</td>
							<td align="right">
								<?=($vh->information->preco)?>
							</td>
						</tr>
				<?php
						}
				?>
					</tbody>
				</table>
				<?php
					}
				?>
				
				<?php
					if($response->records[0]->service->treat_criminal && $prv->show_criminal_value) {
				?>
				<div class="not-text clearfix"><strong>Possui anotações criminais conforme exposto abaixo:</strong></div>
				<?php
						echo $prv->criminal_value;

						if($prv->criminal_annotations) {
							foreach ($prv->criminal_annotations as $xca => $ca) {
								switch($ca->status) {
									case 'archived':
										$ca->status = 'Arquivado';
										break;
									case 'process_suspended':
										$ca->status = 'Suspensão do Processo Lei 9.099';
										break;
									case 'reported':
										$ca->status = 'Denunciado';
										break;
									case 'extinguishing_punishability':
										$ca->status = 'Estinção da Punibilidade';
										break;
									case 'condemned':
										$ca->status = 'Condenado';
										break;
									case 'acquitted':
										$ca->status = 'Absolvido';
										break;
									case 'nothing':
										$ca->status = 'Nada Consta';
										break;
									case 'others':
										$ca->status = 'Outros';
										break;
								}

								switch($ca->criticality_level) {
									case 'higher':
										$ca->criticality_level_color = 'danger';
										$ca->criticality_level_label = 'Gravíssimo';
										break;
									case 'serious':
										$ca->criticality_level_color = 'warning';
										$ca->criticality_level_label = 'Grave';
										break;
									case 'medium':
										$ca->criticality_level_color = 'info';
										$ca->criticality_level_label = 'Médio';
										break;
									case 'light':
										$ca->criticality_level_color = 'inverse';
										$ca->criticality_level_label = 'Leve';
										break;
								}
				?>
				<fieldset>
					<strong>Anotação Criminal #<?=($xca+1)?></strong>

					<table class="table">
						<thead>
							<tr>
								<th width="100">Data Registro</th>
								<th style="text-align: left;">Artigo</th>
								<th width="100">Classificação</th>
							</tr>
						</thead>
						<tbody>
							<tr>
								<td><?=($ca->record_date)?></td>
								<td style="text-align: left;">
									(<?=($ca->criminal_article->brazil_code_name)?>)
									<?=($ca->criminal_article->article_number)?>
									-
									<?=($ca->criminal_article->article_name)?>
									<br>
									<small><strong>DP: <?=($ca->police_department_name)?></strong></small>
								</td>
								<td class="background-<?=($ca->criticality_level_color)?>">
									<?=($ca->criticality_level_label)?>
								</td>
							</tr>
						</tbody>
					</table>

					<table class="table">
						<thead>
							<tr>
								<th width="100">Nº Processo</th>
								<th width="100">Nº Inquérito</th>
								<th width="100">Nº T.C.</th>
								<th width="100">Status</th>
							</tr>
						</thead>
						<tbody>
							<tr>
								<td><?=($ca->process_number)?></td>
								<td><?=($ca->inquiry_number)?></td>
								<td><?=($ca->circumstantial_term_number)?></td>
								<td><?=($ca->status)?></td>
							</tr>
						</tbody>
					</table>
					
					<?php
						if($ca->has_police_report_bulletin) {
					?>
					<table class="table">
						<thead>
							<tr>
								<th width="100">Data B.O.</th>
								<th width="100">Nº B.O.</th>
								<th style="text-align: left;">Relatório Policial</th>
							</tr>
						</thead>
						<tbody>
							<tr>
								<td><?=($ca->police_report_date)?></td>
								<td><?=($ca->police_report_number)?></td>
								<td style="text-align: left;"><?=($ca->police_report_value)?></td>
							</tr>
						</tbody>
					</table>
					<?php
						}
					?>

					<table class="table">
						<thead>
							<tr>
								<th style="text-align: left;">Observações</th>
							</tr>
						</thead>
						<tbody>
							<tr>
								<td style="text-align: left;"><?=($ca->comments)?></td>
							</tr>
						</tbody>
					</table>
				</fieldset>
				<?php
							}
						}
					}
				?>
				
				<?php
					if($response->records[0]->service->treat_finance && $prv->show_finance_value) {
				?>
				<div class="not-text clearfix text-center text-danger"><strong>Possui restritivos financeiros, conforme exposto abaixo:</strong></div>
				<?php
						echo $prv->finance_value;
					}
				?>

				<?php
					if($response->records[0]->service->treat_vehicle && !$prv->vehicle_able) {
				?>
				<div class="not-text clearfix text-center text-danger"><strong>Possui veículos em seu registro, conforme exposto abaixo:</strong></div>
				<?php
						echo $prv->vehicle_value;
					}
				?>
			</li>
			<?php
				}
			?>
		</ol>
	</div>
</div>